{
    "name": "",
    "description": "",
    "spec": [
        {
            "question_name": "Instance Name",
            "question_description": "",
            "required": true,
            "type": "text",
            "variable": "instance_name",
            "min": 5,
            "max": 32,
            "default": "redhatsatellite",
            "choices": ""
        },
        {
            "question_name": "Vault Satellite Admin Password",
            "question_description": "",
            "required": true,
            "type": "password",
            "variable": "vault_satellite_admin_password",
            "min": 5,
            "max": 32,
            "default": "{{ vault_satellite_admin_password }}",
            "choices": ""
        },
{% if type == "azure" %}
        {
            "question_name": "Vault Azure SSH Public Key",
            "question_description": "",
            "required": true,
            "type": "password",
            "variable": "vault_azure_ssh_public_key",
            "min": 5,
            "max": 1024,
            "default": "{{ vault_azure_ssh_public_key }}",
            "choices": ""
        },
        {
            "question_name": "Instance Flavor",
            "question_description": "",
            "required": true,
            "type": "multiplechoice",
            "variable": "instance_flavor",
            "min": null,
            "max": null,
            "default": "Standard_DS2_v2",
            "choices": "Standard_B1s\nStandard_DS1_v2\nStandard_DS2_v2\nStandard_DS3_v2\nStandard_DS4_v2",
        },
{% elif type == "gcp" %}
        {
            "question_name": "Instance Flavor",
            "question_description": "",
            "required": true,
            "type": "multiplechoice",
            "variable": "instance_flavor",
            "min": null,
            "max": null,
            "default": "n1-standard-1",
            "choices": "n1-standard-1\nn1-standard-2\nn1-standard-8"
        },
{% elif type == "aws" %}
        {
            "question_name": "Instance Flavor",
            "question_description": "",
            "required": true,
            "type": "multiplechoice",
            "variable": "instance_flavor",
            "min": null,
            "max": null,
            "default": "t3.medium",
            "choices": "t3.medium\nt3.large\nt3.xlarge"
        },
{% endif %}
        {
            "question_name": "Provider Type",
            "question_description": "",
            "required": true,
            "type": "multiplechoice",
            "variable": "type",
            "min": null,
            "max": null,
            "default": "{{ type }}",
            "choices": "ec2\ngcp\nazure\nvmware\nrhv"
        }
    ]
}
